Masternode Setup - bro.sh: line 65: Bitradiod: command not found

  • hello,


    i had to reinstall my server.


    after "bash bro.sh install"


    i want to start my server with


    "bash bro.sh run"


    getting this error:


    bro.sh: line 65: Bitradiod: command not found



    remeber i had this at my first try but cannot remember the solution.


    can somebody help me, please?

  • cant help you, cause i dont installed it with the script... sry.


    bro.sh: line 65: Bitradiod: command not found

    this error is, when the Server dont know your Bitradio installation... Do you have tried restarting your VPS? If so, then Bitradio isnt installed correctly. Try to reinstall the files.

    For any kind of Donation/Thank you or something else you can use this BRO-Address: BUsEA8MpnBvhi14eEZMfX75XeSF15agi2L ;)

  • If I remember right I have restarted my masternode server before it worked correctly. Also you shouldn't have any problem, when restart of server and your local bitradio wallet isn't more than 5 mins offline. You can check if the other masternodes still running with Bitradiod masternode status. It should show you something with status 9.

    Hope this helps to you... When not try to recompile the Bitradio files manually (just do the steps in the Bitradio install bash script by hand)


    Tell me if it worked for you and if you need any further help...

    For any kind of Donation/Thank you or something else you can use this BRO-Address: BUsEA8MpnBvhi14eEZMfX75XeSF15agi2L ;)

  • restart does not help :-(


    ~/Bitradio/src ~ /home/bro/bro_qtbuild

    /bin/sh ../share/genbuild.sh obj/build.h

    g++ -c -O2 -pthread -Wall -Wextra -Wno-ignored-qualifiers -Wformat -Wformat-security -Wno-unused-parameter -Wunused-function -Wunused-variable -fpermissive -Wconversion-null -g -DBOOST_SPIRIT_THREADSAFE -I/root/Bitradio/src -I/root/Bitradio/src/obj -DUSE_UPNP=0 -DUSE_IPV6=1 -DENABLE_WALLET -I/root/Bitradio/src/secp256k1/include -I/root/Bitradio/src/leveldb/include -I/root/Bitradio/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2 -MMD -MF obj/init.d -o obj/init.o init.cpp

    In file included from walletdb.h:8:0,

    from wallet.h:8,

    from init.h:8,

    from init.cpp:7:

    db.h:18:20: fatal error: db_cxx.h: No such file or directory

    compilation terminated.

    make: *** [obj/init.o] Error 1

    cp: cannot stat 'Bitradiod': No such file or directory

    makefile.unix:217: recipe for target 'obj/init.o' failed

    ~ /home/bro/bro_qtbuild

    /home/bro/bro_qtbuild

    tput: No value for $TERM and no -T specified

    tput: No value for $TERM and no -T specified

    [INSTALL] BRO Complete!

  • what is this error?


    tput: No value for $TERM and no -T specified


    This is not your main Problem I think.

    Your failure is:

    Code
    1. db.h:18:20: fatal error: db_cxx.h: No such file or directory

    This seems that you have not BerkelyDB 4.8 available.


    See the Guide for "Berkeley DB" on this page:

    https://github.com/thebitradio…/master/doc/build-unix.md



    I hope this helps.


    Greetings!

  • no, i think i already have installed it?


    /home/bro/bro_qtbuild/.git$ sudo add-apt-repository ppa:bitcoin/bitcoin

    Stable Channel of bitcoin-qt and bitcoind for Ubuntu, and their dependencies


    Note that you should prefer to use the official binaries, where possible, to limit trust in Launchpad/the PPA owner.


    No longer supports precise, due to its ancient gcc and Boost versions.

    More info: https://launchpad.net/~bitcoin/+archive/ubuntu/bitcoin

    gpg: keyring `/tmp/tmp9dmhcj_i/secring.gpg' created

    gpg: keyring `/tmp/tmp9dmhcj_i/pubring.gpg' created

    gpg: requesting key 8842CE5E from hkp server keyserver.ubuntu.com

    gpg: /tmp/tmp9dmhcj_i/trustdb.gpg: trustdb created

    gpg: key 8842CE5E: public key "Launchpad PPA for Bitcoin" imported

    gpg: no ultimately trusted keys found

    gpg: Total number processed: 1

    gpg: imported: 1 (RSA: 1)

    OK

    /home/bro/bro_qtbuild/.git$ sudo apt-get update

    Hit:1 http://ppa.launchpad.net/bitcoin/bitcoin/ubuntu xenial InRelease

    Hit:2 http://archive.ubuntu.com/ubuntu xenial InRelease

    Get:3 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]

    Get:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]

    Fetched 216 kB in 2s (85.5 kB/s)

    Reading package lists...

    /home/bro/bro_qtbuild/.git$ sudo apt-get install libdb4.8-dev libdb4.8++-dev

    Reading package lists...

    Building dependency tree...

    Reading state information...

    libdb4.8-dev is already the newest version (4.8.30-xenial4).

    libdb4.8++-dev is already the newest version (4.8.30-xenial4).

    0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.